Request
curl https://sandbox.api.lendeasy.ai/v1/servicing/action-requests/$ACTION_REQUEST_ID \
-H "Authorization: Bearer $TOKEN"
await fetch(`https://sandbox.api.lendeasy.ai/v1/servicing/action-requests/${actionRequestId}`, {
method: "GET",
headers: { Authorization: `Bearer ${token}` },
});
requests.get(
f"https://sandbox.api.lendeasy.ai/v1/servicing/action-requests/{action_request_id}",
headers={"Authorization": f"Bearer {token}"},
)
{
"actionRequestId": "ar_HBR_811",
"caseId": "case_HBR_COL_51",
"actionType": "take_payment",
"status": "prepared",
"approvalRequired": false,
"requestedHash": "sha256:49b1…72dd",
"version": 1,
"attempts": [],
"approvals": [],
"reconciliationStatus": "not_started"
}
{
"type": "https://docs.lendeasy.ai/errors/unauthorized",
"title": "Unauthorized",
"status": 401,
"code": "unauthorized",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}
{
"type": "https://docs.lendeasy.ai/errors/forbidden",
"title": "Forbidden",
"status": 403,
"code": "forbidden",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}
{
"type": "https://docs.lendeasy.ai/errors/not_found",
"title": "Not Found",
"status": 404,
"code": "not_found",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}
{
"type": "https://docs.lendeasy.ai/errors/rate_limited",
"title": "Rate Limited",
"status": 429,
"code": "rate_limited",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}